Media
List uploaded media
Cursor-paginated. Scoped to the caller’s organization, and (when the key is profile-scoped) to that profile. Org-wide keys may narrow with ?profileId=.
GET
List uploaded media
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Cursor-paginated. Scoped to the caller’s organization, and (when the key is profile-scoped) to that profile. Org-wide keys may narrow with ?profileId=.
curl --request GET \
--url https://api.letmepost.dev/v1/media \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "med_01HY6X4AWBJM2K9F2PTQMR",
"url": "https://media.letmepost.dev/prod/orgs/.../med_01HY6X4AWBJM2K9F2PTQMR.jpg",
"contentType": "image/jpeg",
"sizeBytes": 1,
"sha256": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"profileId": "<string>"
}
],
"nextCursor": "<string>"
}Mint an API key in the dashboard. See https://letmepost.dev/docs/authentication/.
Was this page helpful?
curl --request GET \
--url https://api.letmepost.dev/v1/media \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "med_01HY6X4AWBJM2K9F2PTQMR",
"url": "https://media.letmepost.dev/prod/orgs/.../med_01HY6X4AWBJM2K9F2PTQMR.jpg",
"contentType": "image/jpeg",
"sizeBytes": 1,
"sha256": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"profileId": "<string>"
}
],
"nextCursor": "<string>"
}